package cn.com.qmth.examcloud.logic.reports.service;

import java.util.List;

import cn.com.qmth.examcloud.common.support.helpers.KeyValuePair;
import cn.com.qmth.examcloud.logic.reports.service.bean.GlobalOnLineData;
import cn.com.qmth.examcloud.logic.reports.service.bean.SchoolOnLineData;

/**
 * 在线数据服务
 * 
 * @author WANGWEI
 *
 */
public interface OnLineService {

	GlobalOnLineData getGlobalOnLineData();

	List<SchoolOnLineData> getAllSchoolOnLineDataList();

	List<KeyValuePair<String, Long>> getLatestGlobalOnLineDataList();

}